Bug 402073

Summary: Missing "Open in new tab" option to the menu when right-clicking on any of the folders of the path
Product: frameworks-kio Reporter: albergĂ­nia <cowcake>
Component: URL navigatorAssignee: David Faure <faure>
Status: RESOLVED FIXED    
Severity: wishlist CC: kde, kdelibs-bugs, nate
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 5.54

Description albergĂ­nia 2018-12-12 21:20:54 UTC
SUMMARY

Missing "Open in new tab" option to the menu when right-clicking on any of the folders of the path.


STEPS TO REPRODUCE
1. Open Dolphin
2. Activate full path view
3. Right-click on any folder of the path


OBSERVED RESULT
No "Open in new tab" nor "Open in new window" option available on the menu.

EXPECTED RESULT
"Open in new tab" or "Open in new window" option available on the menu.


SOFTWARE/OS VERSIONS
Windows: 
MacOS: 
Linux/KDE Plasma: 18.04
(available in About System)
KDE Plasma Version: 5.12.6
KDE Frameworks Version: 5.44.0
Qt Version: 5.9.5

ADDITIONAL INFORMATION

I used this option in Nautilus very often, and I'm missing it now that I've changed to KDE.  :)
Comment 1 Kai Uwe Broulik 2018-12-17 13:40:01 UTC
You can also middle-click the breadcrumbs. However, it probably makes sense to offer this in the menu as well.
Comment 2 Aleix Pol 2018-12-18 02:41:23 UTC
Git commit e523cedb074893a04d011619a9e5c00bc209a466 by Aleix Pol.
Committed on 18/12/2018 at 02:39.
Pushed by apol into branch 'master'.

Make the open url in tab feature a bit more discoverable

Summary:
Introduce a context menu item that invites to open the button under the menu in a tab.
It used to just work with the middle button, now it works with control+click as well, much like in web browsers.

Reviewers: #dolphin, ngraham, #frameworks, elvisangelaccio

Reviewed By: #dolphin, ngraham, elvisangelaccio

Subscribers: elvisangelaccio, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D17550

M  +22   -10   src/filewidgets/kurlnavigator.cpp
M  +2    -2    src/filewidgets/kurlnavigator.h
M  +4    -4    src/filewidgets/kurlnavigatorbutton.cpp
M  +1    -1    src/filewidgets/kurlnavigatorbutton_p.h

https://commits.kde.org/kio/e523cedb074893a04d011619a9e5c00bc209a466